Index: trunk/quest-core-usageprofiles-test/src/test/java/de/ugoe/cs/quest/usageprofiles/HighOrderMarkovModelTest.java
===================================================================
--- trunk/quest-core-usageprofiles-test/src/test/java/de/ugoe/cs/quest/usageprofiles/HighOrderMarkovModelTest.java	(revision 518)
+++ trunk/quest-core-usageprofiles-test/src/test/java/de/ugoe/cs/quest/usageprofiles/HighOrderMarkovModelTest.java	(revision 548)
@@ -7,4 +7,5 @@
 import de.ugoe.cs.quest.eventcore.Event;
 import de.ugoe.cs.quest.usageprofiles.HighOrderMarkovModel;
+import de.ugoe.cs.quest.usageprofiles.mock.StringEventType;
 
 import java.util.Random;
@@ -22,5 +23,5 @@
 public class HighOrderMarkovModelTest {
 
-	Collection<List<? extends Event<?>>> sequences;
+	Collection<List<Event>> sequences;
 
 	@Test
@@ -71,8 +72,8 @@
 		fixture.train(sequences);
 
-		List<Event<String>> context = new ArrayList<Event<String>>();
-		context.add(new Event<String>("a"));
-
-		Event<String> symbol = new Event<String>("b");
+		List<Event> context = new ArrayList<Event>();
+		context.add(new Event(new StringEventType("a")));
+
+		Event symbol = new Event(new StringEventType("b"));
 
 		double result = fixture.getProbability(context, symbol);
@@ -88,8 +89,8 @@
 		fixture.train(sequences);
 
-		List<Event<String>> context = new ArrayList<Event<String>>();
-		context.add(new Event<String>("a"));
-
-		Event<String> symbol = new Event<String>("r");
+		List<Event> context = new ArrayList<Event>();
+		context.add(new Event(new StringEventType("a")));
+
+		Event symbol = new Event(new StringEventType("r"));
 
 		double result = fixture.getProbability(context, symbol);
@@ -105,8 +106,8 @@
 		fixture.train(sequences);
 
-		List<Event<String>> context = new ArrayList<Event<String>>();
-		context.add(new Event<String>("a"));
-
-		Event<String> symbol = new Event<String>("c");
+		List<Event> context = new ArrayList<Event>();
+		context.add(new Event(new StringEventType("a")));
+
+		Event symbol = new Event(new StringEventType("c"));
 
 		double result = fixture.getProbability(context, symbol);
@@ -122,9 +123,9 @@
 		fixture.train(sequences);
 
-		List<Event<?>> context = new ArrayList<Event<?>>();
-		context.add(Event.STARTEVENT);
-		context.add(new Event<String>("a"));
-
-		Event<String> symbol = new Event<String>("b");
+		List<Event> context = new ArrayList<Event>();
+		context.add(Event.STARTEVENT);
+		context.add(new Event(new StringEventType("a")));
+
+		Event symbol = new Event(new StringEventType("b"));
 
 		double result = fixture.getProbability(context, symbol);
@@ -140,9 +141,9 @@
 		fixture.train(sequences);
 
-		List<Event<?>> context = new ArrayList<Event<?>>();
-		context.add(Event.STARTEVENT);
-		context.add(new Event<String>("a"));
-
-		Event<String> symbol = new Event<String>("b");
+		List<Event> context = new ArrayList<Event>();
+		context.add(Event.STARTEVENT);
+		context.add(new Event(new StringEventType("a")));
+
+		Event symbol = new Event(new StringEventType("b"));
 
 		double result = fixture.getProbability(context, symbol);
@@ -158,9 +159,9 @@
 		fixture.train(sequences);
 
-		List<Event<?>> context = new ArrayList<Event<?>>();
-		context.add(Event.STARTEVENT);
-		context.add(new Event<String>("b"));
-
-		Event<String> symbol = new Event<String>("b");
+		List<Event> context = new ArrayList<Event>();
+		context.add(Event.STARTEVENT);
+		context.add(new Event(new StringEventType("b")));
+
+		Event symbol = new Event(new StringEventType("b"));
 
 		double result = fixture.getProbability(context, symbol);
@@ -176,9 +177,9 @@
 		fixture.train(sequences);
 
-		List<Event<?>> context = new ArrayList<Event<?>>();
-		context.add(Event.STARTEVENT);
-		context.add(new Event<String>("b"));
-
-		Event<String> symbol = new Event<String>("a");
+		List<Event> context = new ArrayList<Event>();
+		context.add(Event.STARTEVENT);
+		context.add(new Event(new StringEventType("b")));
+
+		Event symbol = new Event(new StringEventType("a"));
 
 		double result = fixture.getProbability(context, symbol);
@@ -194,9 +195,9 @@
 		fixture.train(sequences);
 
-		List<Event<?>> context = new ArrayList<Event<?>>();
-		context.add(Event.STARTEVENT);
-		context.add(new Event<String>("b"));
-
-		Event<String> symbol = null;
+		List<Event> context = new ArrayList<Event>();
+		context.add(Event.STARTEVENT);
+		context.add(new Event(new StringEventType("b")));
+
+		Event symbol = null;
 
 		fixture.getProbability(context, symbol);
@@ -210,7 +211,7 @@
 		fixture.train(sequences);
 
-		List<Event<?>> context = null;
-
-		Event<String> symbol = new Event<String>("b");
+		List<Event> context = null;
+
+		Event symbol = new Event(new StringEventType("b"));
 
 		fixture.getProbability(context, symbol);
@@ -219,18 +220,18 @@
 	@Before
 	public void setUp() throws Exception {
-		List<Event<?>> sequence = new ArrayList<Event<?>>();
-		sequence.add(new Event<String>("a"));
-		sequence.add(new Event<String>("b"));
-		sequence.add(new Event<String>("r"));
-		sequence.add(new Event<String>("a"));
-		sequence.add(new Event<String>("c"));
-		sequence.add(new Event<String>("a"));
-		sequence.add(new Event<String>("d"));
-		sequence.add(new Event<String>("a"));
-		sequence.add(new Event<String>("b"));
-		sequence.add(new Event<String>("r"));
-		sequence.add(new Event<String>("a"));
-
-		sequences = new ArrayList<List<? extends Event<?>>>();
+		List<Event> sequence = new ArrayList<Event>();
+		sequence.add(new Event(new StringEventType("a")));
+		sequence.add(new Event(new StringEventType("b")));
+		sequence.add(new Event(new StringEventType("r")));
+		sequence.add(new Event(new StringEventType("a")));
+		sequence.add(new Event(new StringEventType("c")));
+		sequence.add(new Event(new StringEventType("a")));
+		sequence.add(new Event(new StringEventType("d")));
+		sequence.add(new Event(new StringEventType("a")));
+		sequence.add(new Event(new StringEventType("b")));
+		sequence.add(new Event(new StringEventType("r")));
+		sequence.add(new Event(new StringEventType("a")));
+
+		sequences = new ArrayList<List<Event>>();
 		sequences.add(sequence);
 	}
